package com.timtech.profile.util;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import lombok.Builder;

@Builder
public class Utils {
	
	public boolean isValidPanCard(String panCardNo)
    {
 
        String regex = "[A-Z]{5}[0-9]{4}[A-Z]{1}";
 
        Pattern p = Pattern.compile(regex);
 
        if (panCardNo == null) 
        {
            return false;
        }
 
        Matcher m = p.matcher(panCardNo);
 
        return m.matches();
    }
	
	
	public boolean isValidAadhar(String adhar)
    {
 
        String regex = "[1-9]{12}";
 
        Pattern p = Pattern.compile(regex);
 
        if (adhar == null) 
        {
            return false;
        }
 
        Matcher m = p.matcher(adhar);
 
        return m.matches();
    }
	
//	public static void main(String[] args) {
//		
//		boolean validAadhar = Utils.builder().build().isValidAadhar("011234567891");
//		System.out.println(validAadhar);
//		
//	}

}
